# $Id: geneweb.spec,v 1.2 2008/03/28 17:22:30 slords Exp $

Summary: Genealogy software with a Web interface for SME
%define name geneweb
Name: %{name}
%define version 5.00
%define release 8
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Vendor: INRIA
Group: SME Server/addon
Source: %{name}-%{version}.tar.gz
#Source: ftp://ftp.inria.fr/INRIA/Projects/cristal/geneweb/Src/geneweb-%{version}.tar.gz
URL: http://cristal.inria.fr/~ddr/GeneWeb/
Patch0: smeserver.init.patch
BuildRequires: ocaml = 3.09.1, ocaml-labltk = 3.09.1, ocaml-camlp4 = 3.09.1
Requires: smeserver-release >= 7.0
BuildRoot: ../tmp/%{name}-%{version}
Prefix: /opt
Summary(de): eine genealogische Software mit einem Web-Interface
Summary(fr): un logiciel de gnalogie dot d'une interface Web
Summary(nl): een genealogisch programma met een www-interface
Summary(se): ett genealogi program med ett webbinterface

# Aditions (defines) below to set up user/group for Geneweb.
# Previous versions required user creation separately
%define gwuser		geneweb
%define gwuserid	51
%define gwgroup		geneweb
%define gwgroupid	51
%define gwdir	/opt/%{name}

%description
GeneWeb is a genealogy software with a Web interface. It can be used
off-line or as a Web service.

%description -l de
GeneWeb ist eine genealogische Software mit einem Web-Interface.
Sie kann off-line oder als ein Web-Service genutzt werden.

%description -l fr
GeneWeb est un logiciel de gnalogie dot d'une interface Web. Il
peut tre utilis non connect au rseau ou comme un service Web.

%description -l nl
GeneWeb is een genealogisch programma met een www-interface, dat kan
gebruikt worden op computers met of zonder permanente verbinding met
het Internet.

%description -l se
GeneWeb r ett genealogi program med ett webbinterface. Det kan anvndas 
nedkopplad eller som en webbtjnst.

%prep

rm -rf $RPM_BUILD_ROOT

%setup
%patch0 -p1

%build
make opt
make distrib

%install
mkdir -p $RPM_BUILD_ROOT/opt/geneweb
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
cp -r distribution $RPM_BUILD_ROOT/opt/geneweb/gw
cp rpm/geneweb-initrc.sh $RPM_BUILD_ROOT/etc/rc.d/init.d/gwd
cp rpm/geneweb-logrotate $RPM_BUILD_ROOT/etc/logrotate.d/gwd

%clean
make clean
rm -rf $RPM_BUILD_ROOT

%pre
mkdir -p /opt/geneweb
chmod a+rx /opt/geneweb

# Make sure we have a geneweb user to chown/run our app [geneweb-user.patch]
if grep -q "^geneweb:" /etc/group 2> /dev/null ; then
    /usr/sbin/groupmod -g %{gwgroupid} -n %{gwgroup} %{gwgroup} 2> /dev/null || :
else
    /usr/sbin/groupadd -g %{gwgroupid} %{gwgroup} 2> /dev/null || :
fi
if grep -q "^geneweb:" /etc/passwd 2> /dev/null ; then
    /usr/sbin/usermod -s /sbin/nologin -c "Geneweb Geneology DB Manager" -d %{gwdir} -u %{gwuserid} -g %{gwgroupid}	%{gwuser} 2> /dev/null || :
else
    /usr/sbin/useradd -s /sbin/nologin -c "Geneweb Geneology DB Manager" -d %{gwdir} -u %{gwuserid} -g %{gwgroupid}	%{gwuser} 2> /dev/null || :    
fi
# 
%post
chown -R geneweb.geneweb /opt/geneweb/gw
chkconfig --add gwd
#/etc/rc.d/init.d/gwd start

%preun
/etc/rc.d/init.d/gwd stop
chkconfig --del gwd

%postun
# cd /opt/geneweb/gw/gw
# rm -rf doc etc images lang setup gwtp_tmp

%files
%defattr(-,geneweb,geneweb)
%attr(6750, geneweb, geneweb) /opt/geneweb/gw/gw/gwd
%attr(6750, geneweb, geneweb) /opt/geneweb/gw/gw/gwsetup
%attr(6750, geneweb, geneweb) /opt/geneweb/gw/gw/ged2gwb
%attr(6750, geneweb, geneweb) /opt/geneweb/gw/gw/gwb2ged
%attr(6750, geneweb, geneweb) /opt/geneweb/gw/gw/gwc
%attr(6750, geneweb, geneweb) /opt/geneweb/gw/gw/gwu
%attr(6750, geneweb, geneweb) /opt/geneweb/gw/gw/consang
%attr(6750, geneweb, geneweb) /opt/geneweb/gw/gw/gwtp_tmp/gwtp
%attr(755, root, root) /etc/rc.d/init.d/gwd
%attr(644, root, root) /etc/logrotate.d/gwd
/opt/geneweb/gw/LICENSE.txt
/opt/geneweb/gw/LISEZMOI.txt
/opt/geneweb/gw/README.txt
/opt/geneweb/gw/gw/CHANGES.txt
/opt/geneweb/gw/gw/INSTALL.htm
/opt/geneweb/gw/gw/LICENSE.txt
/opt/geneweb/gw/gw/LISEZMOI.txt
/opt/geneweb/gw/gw/README.txt
/opt/geneweb/gw/gw/a.gwf
/opt/geneweb/gw/gw/doc
/opt/geneweb/gw/gw/etc
/opt/geneweb/gw/gw/gwtp_tmp/README
/opt/geneweb/gw/gw/gwtp_tmp/lang
/opt/geneweb/gw/gw/gwd.arg
/opt/geneweb/gw/gw/images
/opt/geneweb/gw/gw/lang
/opt/geneweb/gw/gw/only.txt
/opt/geneweb/gw/gw/setup
/opt/geneweb/gw/gwd
/opt/geneweb/gw/gwsetup
/opt/geneweb/gw/START.htm
%defattr(-,root,root)
#%doc doc/*

%changelog
* Sun Aug 19 2007 Craig D. Jensen <craig.d.jensen@gmail.com>
- Removed startup of service 'gwd' as advised by SME Server dev

* Thu Apr 12 2007 Craig D. Jensen <craig.d.jensen@gmail.com>
- V5.00-7 Changed Group to 'SME Server/addon' 

* Thu Apr 12 2007 Craig D. Jensen <craig.d.jensen@gmail.com>
- V5.00-6 BuildRequires statement added 
  -> ocaml ocaml-labltk ocaml-camlp4

* Fri Mar 02 2007 Craig D. Jensen <craig.d.jensen@gmail.com>
- V5.00-5 changed Group. Added GPG signature

* Fri Mar 02 2007 Craig D. Jensen <craig.d.jensen@gmail.com>
- V5.00-3 corrected case (Geneweb->geneweb) for defines

* Fri Mar 02 2007 Craig D. Jensen <craig.d.jensen@gmail.com>
- V5.00-2 added %defines and user creation/verification lines

* Wed Feb 28 2007 Craig D. Jensen <craig.d.jensen@gmail.com>
- V5.00-1 upgrade of Geneweb base to V.5

* Tue Nov 14 2006 Craig D. Jensen <craig.d.jensen@gmail.com>
- V 4.10-1 upgrade of Geneweb base
- Revised .spec for new rpm req (all files must be listed in the spec 
- or build errors and rpmbuild failure results)

* Tue Mar 02 2004 Craig D. Jensen <craig.d.jensen@gmail.com>
- Version 4.10
- SME Server build with newest src.  Compat with SME Server 6.x

* Sun Dec 15 2002 John Cusick
- Rebuild of geneweb for SME 5.1.2, 5.5, 5.6

* Sat Nov 10 2000 Daniel de Rauglaudre
- Used chkconfig (Eddie Bindt's hint)

* Thu Nov  9 2000 Ludovic Ledieu
- Simplified files list (a directory includes its contents). It's thus easier
  to maintain the list.
- Removed doc in /usr/doc/geneweb-<version>

* Tue Nov  7 2000 Daniel de Rauglaudre
Version 3.10
- No more installation of geneweb-initrc.sh in SOURCES: it is directly
  copied from BUILD/geneweb-xx/rpm. In that file, added -log for gwd and
  gwsetup.
- Added /etc/logrotate.d/gwd

* Sun Apr  9 2000 Daniel de Rauglaudre
Version 3.03-2
- added set user id bit also for gwc gwu ged2gwb gwb2ged consang because
  were not launched as geneweb user (seemed to depend on the Linux version)

* Tue Dec  7 1999 Daniel de Rauglaudre
Version 3.01
- updated the file list

* Mon Oct  4 1999 Daniel de Rauglaudre
Version 2.07-2
- added RPM_BUILD_ROOT to install the package in /tmp

* Sun Sep 6 1999 Daniel de Rauglaudre
Version 2.06-5
- updated file list

* Sun Sep 5 1999 Daniel de Rauglaudre
Version 2.06-4
Deleted option -r in useradd (Redhat specific)

* Sat Aug 14 1999 Dan Kegel <dank@alumni.caltech.edu>
Created.
